// Copyright (c) 2015 HigPen Works (Kenichiro Matsuura / Yuki Tsukasa). All rights reserved.
#pragma once
#import <Foundation/Foundation.h>
#include <string>
using namespace std;

class CConfig {
	NSUserDefaults* Defaults;
	NSString* Key(wstring key) {
		return [[NSString alloc] initWithBytes:key.c_str() length:key.length()*sizeof(wchar_t) encoding:NSUTF32LittleEndianStringEncoding];
	}
public:
	CConfig() : Defaults(0) {
		Defaults=[NSUserDefaults standardUserDefaults];
	}
	int GetInt(wstring key, int value=0) {
		return (int)[Defaults integerForKey:Key(key)];
	}
	void Set(wstring key, int value) {
		[Defaults setInteger:value forKey:Key(key)];
		[Defaults synchronize];
	}
};

extern CConfig Config;
