// Copyright (c) 2015 HigPen Works (Kenichiro Matsuura / Yuki Tsukasa). All rights reserved.
#pragma once
#include <GLKit/GLKit.h>
#include "Math.h"
#include "Texture.h"

class CShader {
	GLuint Program;
	GLuint UMatrix, UColor, UTexture;
	GLuint Compile(GLenum type, NSString* file);
	bool Link();
	bool Validate();
public:
	CShader();
 	~CShader();
	void Begin();
	void Draw(CTexture* texture, GLKMatrix4 matrix, CColor color);
	void End();
};

