// Copyright (c) 2015 HigPen Works (Kenichiro Matsuura / Yuki Tsukasa). All rights reserved.
#include "Game.h"

CSound::CSound(wstring file) : Player(0) {
	size_t f=file.rfind(L'.');
	NSString* s=[[NSString alloc] initWithBytes:file.substr(0, f).c_str() length:f*sizeof(wchar_t) encoding:NSUTF32LittleEndianStringEncoding];
	NSString* t=[[NSString alloc] initWithBytes:file.substr(f+1).c_str() length:(file.length()-f-1)*sizeof(wchar_t) encoding:NSUTF32LittleEndianStringEncoding];
	NSString* path=[[NSBundle mainBundle] pathForResource:s ofType:t];
	if (path) {
		Player=[[AVAudioPlayer alloc] initWithContentsOfURL:[NSURL fileURLWithPath:path] error:nil];
		[Player prepareToPlay];
	}
}
