// Copyright (c) 2015 HigPen Works (Kenichiro Matsuura / Yuki Tsukasa). All rights reserved.
#include "Main.h"

//---------------------------------------------------------
class CPlayerSound : public CPlayer {
public:
	void Move() {
		const wchar_t* sound[]={L"Boss.caf", L"Button.caf", L"Enemy.caf", L"Hit.caf"};
		if (!OldTouch[0] && Touch[0] && Length(Touch[0].Position-Position)<0.2f) GetSound(sound[Type])->Play();
	}
};
class CStageSound : public CStage {
public:
	void Reset() {
		New<CPlayerSound>(0, CVector(-0.6f, 0));
		New<CPlayerSound>(1, CVector(-0.2f, 0));
		New<CPlayerSound>(2, CVector(0.2f, 0));
		New<CPlayerSound>(3, CVector(0.6f, 0));
	}
};
CStage* StageSound() { return New<CStageSound>(); }

